RAIDR/API Reference/Nodes

List nodes

gethttp://127.0.0.1:8787/api/v1/deployments/{id}/nodes

Path parameters

idstring <uuid>Required

Deployment ID.

Response

200 · application/json

Nodes in the deployment. Returns a list of Node.

idstring <uuid>Required
deployment_idstring <uuid>Required
namestringRequired
rolestringRequired
Allowedcommandrelayteamsensorasset
latnumberRequired
lonnumberRequired
height_agl_mnumberOptional

Antenna height above ground level in metres.

radioobjectOptional

Frequency, bandwidth, transmit power, cable losses, antenna gains, noise figure, polarization, climate zone, atmospheric profile, rain rate, target availability, and optional target data rate.

pointingobjectOptional

Antenna azimuth and elevation in degrees.

Errors

404
Problem

Resource not found.